/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void QualityRange::accept( void )
{
 
    emit qualityRange(lineEdit6->text().toFloat(),lineEdit7->text().toFloat(),lineEdit4->text().toFloat(),lineEdit5->text().toFloat(), checkBox1->isChecked());
    setResult(QDialog::Accepted);
    hide();
}


void QualityRange::initValues( float lG, float lW, float hG, float hW, bool aq)
{
    checkBox1->setChecked(aq);
    lineEdit4->setText(QString::number(hG));
    lineEdit5->setText(QString::number(hW));
    lineEdit6->setText(QString::number(lG));
    lineEdit7->setText(QString::number(lW));
    valid = new QDoubleValidator(0.0,100.0,2,this,"validator");
    lineEdit4->setValidator(valid);
    lineEdit5->setValidator(valid);
    lineEdit6->setValidator(valid);
    lineEdit7->setValidator(valid);
}


void QualityRange::init()
{
    textLabel1_2->setText("Cutlevels for good and bad files selection");
    textLabel2_3->setText("Levels for cuts below mean:");
    lineEdit6->setEnabled(FALSE);
    lineEdit7->setEnabled(FALSE);
    checkBox1->setChecked(FALSE);
}


void QualityRange::assymRange( int s )
{
    switch(s)
    {
    case QButton::On:
	textLabel1_2->setText("Levels fo cuts above mean:");
	lineEdit6->setEnabled(TRUE);
	lineEdit7->setEnabled(TRUE);
	break;
    case QButton::Off:
	textLabel1_2->setText("Cutlevels for good and bad files selection");
	lineEdit6->setEnabled(FALSE);
	lineEdit7->setEnabled(FALSE);
	break;
    default:
	break;
    }	
}
