SOURCES	+= hhistory.cpp \
	lowqafile.cpp \
	hmapfile.cxx
HEADERS	+= lowqafile.h \
	hmapfile.h
unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}




QMAKE_LFLAGS_SHAPP+=-Wl,-rpath,$(HYDRA_LINKPORT)/global/lib:$(HYDRA_LINKPORT)/local/lib:$(ROOTSYS)/lib:$(GSIDIR)
FORMS	= mainview.ui \
	qualityrange.ui \
	histrange.ui \
	histselectdlg.ui \
	helpdialog.ui
TEMPLATE	=app
CONFIG	+= qt warn_on debug thread
INCLUDEPATH	+= $(ROOTSYS)/include /misc/wuestenf/Hades/QtROOT3.4/interface $(HYDRA_INCLUDES)
LIBS	+= -L$(ORACLE_HOME)/lib `$(ROOTSYS)/bin/root-config --libs` -L../QtROOT3.4/interface -lqtroot -L$(HADDIR_PID_LIB) -lPid -L$(HADDIR_MDC_LIB) -lMdc -L$(HADDIR_MDCUTIL_LIB) -lPidUtil -L$(HADDIR_MDCPID_LIB) -lMdcPid -L$(HADDIR_MDCTRACKD_LIB) -lMdcTrackD -L$(HADDIR_MDCUTIL_LIB) -lMdcUtil -L$(HADDIR_MDCTRACKS_LIB) -lMdcTrackS -L$(HADDIR_MDCTRACKG_LIB) -lMdcTrackG -L$(HADDIR_TRIGGERUTIL_LIB) -lTriggerUtil -L$(HADDIR_TRIGGER_LIB) -lTrigger -L$(HADDIR_KICKPLANE_LIB) -lKick -L$(HADDIR_RICHUTIL_LIB) -lRichUtil -L$(HADDIR_RICH_LIB) -lRich -L$(HADDIR_SHOWER_LIB) -lShower -L$(HADDIR_SHOWERTOFINO_LIB) -lShowerTofino -L$(HADDIR_SHOWERUTIL_LIB) -lShowerUtil -L$(HADDIR_START_LIB) -lStart -L$(HADDIR_TOF_LIB) -lTof -L$(HADDIR_TOFINO_LIB) -lTofino -L$(HADDIR_ORA_LIB) -lOra -L$(HADDIR_QA_LIB) -lQA -L$(HADDIR_JWTOOLS_LIB) -lTools -L$(HADDIR_RFIO_LIB) -lRFIOtsm -lRFIOadsm -L$(HADDIR_BASE_LIB) -lHydra
LANGUAGE	= C++
DISTFILES +=hhistory_config.html hhistory_mapfile.html hhistory_viewer.html hhistory_filehists.html hhistory_overview.html
